classification
Title: Fix test discovery for test_asyncore.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-01-08 21:07 by zach.ware, last changed 2013-01-10 03:30 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_asyncore_fix.diff zach.ware, 2013-01-08 21:07 test_asyncore.py fix, version 1 review
test_asyncore_fix.v2.diff zach.ware, 2013-01-09 15:38 Version 2 review
Messages (4)
msg179373 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-08 21:07
Here's the fix for test_asyncore.py.
msg179455 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-09 15:38
Patch v2, in which test_main() goes away.
msg179514 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-10 03:29
New changeset 4976bf1d751c by Ezio Melotti in branch '3.3':
#16896: test_asyncore now works with unittest test discovery.  Patch by Zachary Ware.
http://hg.python.org/cpython/rev/4976bf1d751c

New changeset e7a965a075f5 by Ezio Melotti in branch 'default':
#16896: merge with 3.3.
http://hg.python.org/cpython/rev/e7a965a075f5
msg179515 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-10 03:30
Fixed, thanks for the patch!
History
Date User Action Args
2013-01-10 03:30:30ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg179515

stage: patch review -> resolved
2013-01-10 03:29:53python-devsetnosy: + python-dev
messages: + msg179514
2013-01-09 15:38:01zach.waresetfiles: + test_asyncore_fix.v2.diff

messages: + msg179455
2013-01-09 06:10:59ezio.melottisetassignee: ezio.melotti
stage: patch review
2013-01-08 21:07:47zach.warecreate